KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Atstatomas sistemos konfigūracijos krepšys.

APžVALGA

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

APRAšYMAS

kbuildsycoca4, kaip KDE komandinės eilutės įrankių dalis, užtikrina tinkamą KDE veikimą, perskaitydama visus .desktop, .xml ir .protocol failus ir sukuria dvejetainę duomenų bazę.

KDE naudoja šią duomenų bazę veikimo metu, kad galėtų suteikti reikiamą informaciją veikiančioms programoms.

Šis įrankis yra ksyscoca4 dalis, kuri reiškia KDE sistemos configuracijos krepšys

PARINKTYS

--nosignal
    Nesignalizuoti programoms dėl atnaujinimų

--noincremental
    Išjungti papildymų atnaujinimus, iš naujo viską perskaityti

--checkstamps
    Patikrinti failų laiko žymes

--nocheckfiles
    Išjungti failų tikrinimą (pavojinga)

--global
    Sukurti globalią duomenų bazę.

--menutest
    Atlikti meniu generavimo testą tik paleidimui

--track menu-id
    Išriktavimo tikslais nustatyti meniu id

--help
    Rodyti pagalbą apie parinktis

--help-qt
    Rodyti Qt specifines parinktis

--help-kde
    Rodyti KDE specifines parinktis

--help-all
    Rodyti visas parinktis

--author
    Rodyti informaciją apie autorius

-v , --version
    Rodyti versijos informaciją

--license
    Rodyti licencijos informaciją

NAUDOJIMAS

Įprastas šios programos paleidimo būdas yra tiesiog įvykdyti tokiąi komandą komandinėje eilutėje kbuildsycoca4

FAILAI

/var/tmp/kde-$USER/ksycoca4
    Numatytasis aplankas, kur saugomi krepšio failai.

APLINKOS KINTAMIEJI

$KDEDIRS
    Nurodo, kurie aplankai yra KDE diegimo dalis

$KDESYCOCA
    Nurodo kelia iki sycoca duomenų bazės failo

TAIP PAT žIūRėKITE

kdeinit4

YDOS

Tikriausiai yra daug ydų. Pranešikite apie jas adresu bugs.kde.org[1].

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org